Loading...
Searching...
No Matches
formats.h File Reference

Types and helper functions to handle libcamera image formats. More...

`#include <array>`
`#include <vector>`
`#include <libcamera/geometry.h>`
`#include <libcamera/pixel_format.h>`
`#include "libcamera/internal/v4l2_pixelformat.h"`
Include dependency graph for formats.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::PixelFormatInfo
| Information about pixel formats. More...
struct | libcamera::PixelFormatInfo::Plane
| Information about a single plane of a pixel format. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Types and helper functions to handle libcamera image formats.